## org.eclipse.emf.ecore.xmi.impl
Class NameInfoImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.NameInfoImpl

All Implemented Interfaces:
  NameInfo

    public class NameInfoImpl

extends java.lang.Object
implements NameInfo

Implementation of the `NameInfo` interface.

Field Summary
`protected java.lang.String` `localPart`
`protected java.lang.String` `namespaceURI`
`protected java.lang.String` `qualifiedName`

Constructor Summary
`NameInfoImpl()`

Method Summary
`java.lang.String` `getLocalPart()`
`java.lang.String` `getNamespaceURI()`
`java.lang.String` `getQualifiedName()`
`void` `setLocalPart(java.lang.String name)`
`void` `setNamespaceURI(java.lang.String uri)`
`void` `setQualifiedName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### localPart

    protected java.lang.String localPart

### qualifiedName

    protected java.lang.String qualifiedName

### namespaceURI

    protected java.lang.String namespaceURI

Constructor Detail

### NameInfoImpl

    public NameInfoImpl()

Method Detail

### getLocalPart

    public java.lang.String getLocalPart()

  Specified by:
    `getLocalPart` in interface `NameInfo`
  Returns:
    the local part of qualified name

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `NameInfo`
  Returns:
    the namespace URI

### getQualifiedName

    public java.lang.String getQualifiedName()

  Specified by:
    `getQualifiedName` in interface `NameInfo`
  Returns:
    the qualified name

### setLocalPart

    public void setLocalPart(java.lang.String name)

  Specified by:
    `setLocalPart` in interface `NameInfo`
  Parameters:
    `name` - the local part of qualified name

### setNamespaceURI

    public void setNamespaceURI(java.lang.String uri)

  Specified by:
    `setNamespaceURI` in interface `NameInfo`
  Parameters:
    `uri` - the namespace URI

### setQualifiedName

    public void setQualifiedName(java.lang.String name)

  Specified by:
    `setQualifiedName` in interface `NameInfo`
  Parameters:
    `name` - the qualified name

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.